
/*
 *  dyncnn is a deep-learning algorithm for the prediction of
 *  interacting object dynamics
 *
 *  Copyright (c) 2016 Idiap Research Institute, http://www.idiap.ch/
 *  Written by Francois Fleuret <francois.fleuret@idiap.ch>
 *
 *  This file is part of dyncnn.
 *
 *  dyncnn is free software: you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License version 3 as
 *  published by the Free Software Foundation.
 *
 *  dyncnn is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with dyncnn.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef CANVAS_H
#define CANVAS_H

#include "misc.h"

class Canvas {
public:
  virtual ~Canvas();
  virtual void clear() = 0;
  virtual void set_line_width(scalar_t w) = 0;
  virtual void set_drawing_color(scalar_t r, scalar_t g, scalar_t b) = 0;
  virtual void draw_polygon(int filled, int nb, scalar_t *x, scalar_t *y) = 0;
};

#endif
